package org.jvnet.jaxbcommons.locator;

import javax.xml.bind.ValidationEventLocator;

import org.jvnet.jaxbcommons.i18n.Reportable;

public interface ObjectLocator extends ValidationEventLocator, Reportable{

  public ObjectLocator getParentLocator();
  
  public ObjectLocator[] getPath();
  
  public FieldObjectLocator property(String propertyName,
      Object propertyValue);
  
  public ListEntryObjectLocator item(int itemIndex, Object itemValue);

}
